Subject: [manet] Question about basic access procedure of 802.11-DCF

From: 黄伟 <[email-masked]>
Date: Wed, 1 Aug 2007 15:16:26 +0800 (CST)

Hi Byung-Jae,
 
I have seen your post onhttp://www1.ietf.org/mail-archive/web/manet/current/msg03272.html, where you mentioned the basic procedure of DCF as following:
 
STA A Tx a packet;
STA A receives an ACK;
STA A waits for DIFS;
STA A choose a random number for backoff and counts down to zero;
If (STA A has a packet in the queue)
  then
    STA A Tx the packet;
  else
    STA A waits until a packet arrives;
    switch (channel idle time)
        case (the channel has been idle for more than DIFS):
          STA A Tx the packet right away;
        case (the channel has been idle for T_idle < DIFS):
          STA A waits for DIFS - T_idle;
          STA A enters a normal backoff procedure;
        case (the channel is busy)
          STA A waits until the channel becomes idle;
          STA A waits DIFS;
          STA A enters a normal backoff procedure;
    endswitch
endif

It is very clear. But I still have one question:
If MAC has no packet in queue, does it ignore the state of the channel and arrived packets will be transmitted immediately IF it senses the channel to be IDLE for longer than DIFS? Or, if it has no packet in the queue, it still initialize a contention window when the medium becomes busy and count down when medium becomes IDLE again for longer than DIFS?
 
I think the 2nd is more reasonable. Because if it does follow the 1st, consider this condition:
 
STA A Tx a packet;
STA A receives an ACK;
STA A waits for DIFS;
STA A choose a random number for backoff and counts down to zero;
STAA has no packet in queue……
……
STAB transmit a packet
STAC wants to transmit a packet but the medium is busy so it defers and back-off
STAB finish transmitting
STAC finishes defer DIFS and enters contention window
STAA get a packet just when the medium is IDLE for DIFS
STAA transmit…..
 
Is this some kind of unfair, because STAC wants to transmit earlier but STAA grasp the medium. Any comment on this?
I am looking for your reply. Thank you very much.
 
Best regards,
Huang Wei  

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet